=== debian/changelog ===
styx (2.0.1-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:45:57 +0000

styx (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Frederik Schüler <fs@debian.org>  Sat, 28 Dec 2013 18:20:37 +0100

styx (1.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ./config.status: 1358: ./config.status: gawk: not found":
    add build dependency on gawk (closes: #642738).
  * debian/rules: empty dependency_libs in .la files (closes: #633188).

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Dec 2011 16:02:26 +0100
