=== debian/control ===
Source: styx
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederik Schüler <fs@debian.org>
Build-Depends: cdbs, autotools-dev, debhelper (>= 7), docbook-to-man, gawk
Standards-Version: 3.9.1
Homepage: http://speculate.de/styx/

Package: styx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: styx-dev (= ${binary:Version})
Suggests: styx-doc (= ${source:Version})
Description: combined parser/scanner generator for C/C++
 The package facilitates application development including
 user-defined context free languages.
 .
 Its development model deviates from the traditional lex/yacc pair
 (flex/bison in Debian) by automating tedious tasks which are
 commonly implemented in yacc's actions.
 .
 Styx automatically derives a depth grammar, generates reentrant
 parsers that support persistent derivation trees, preserve full
 source information, support Unicode and are thread safe.
Tag: devel::{code-generator,lang:c,lang:c++,lang:php,lang:c#}, implemented-in::c, interface::commandline, role::program, scope::utility, suite::gnu, works-with::software:source

Package: libstyx2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends} 
Provides: libdstyx, libxstyx
Conflicts: libdstyx, libxstyx
Replaces: libdstyx, libxstyx
Description: runtime libraries for styx
 Dynamically linked programs containing lexical scanners or parsers
 developed with styx depend on this library.
 .
 It implements abstract grammar, LALR(1) parser and lexical scanner
 interfaces, hashed symbol tables and supporting data types.
Tag: role::shared-lib, suite::gnu

Package: styx-dev
Architecture: any
Depends: styx (= ${binary:Version}), ${misc:Depends}
Suggests: styx-doc (= ${source:Version})
Description: combined parser/scanner generator development files
 Static libraries and headers needed for development with styx.
 .
 cf. styx for features.
Tag: devel::library, role::devel-lib, suite::gnu

Package: styx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: combined parser/scanner generator documentation
 "The Styx Handbook" describes application development with styx and
 contains HTML reference documentation for the styx API.
 .
 Contains a full blown example showing how to build an XML parser
 with styx.
 .
 cf. styx for features.
Tag: devel::doc, devel::examples, made-of::html, role::documentation
