=== debian/watch ===
# watch control file for uscan
# Site		Directory		Pattern			Version	Script
version=2
http://www.speculate.de/styx/en/download.html	.*/styx-(.*)\.tar\.gz	debian	uupdate
